string renderMeshExplorer(string&in dir) {
    string return_dir = dir;
    
    if (dir == "") {
        if (drawFolder("Assets/..")) {
            return_dir = "..";
        }
    }

    if (dir != "" && drawFolder(Engine::getParentPathName(dir) + "/..")) {
        return_dir = Engine::getParentPath(dir);
    }

    AssetType resourceType = AssetType::Mesh;

    int dirCount = Assets::getDirCount(resourceType, dir);
    for (int i = 0; i < dirCount; i++) {
        if (drawFolder(Assets::getDirNameById(AssetType::Mesh, dir, i))) {
            return_dir = Assets::getDirPathById(AssetType::Mesh, dir, i);
        }
    }

    //int meshCount = Assets::getAssetCount(AssetType::Mesh, dir);
    //for (int i = 0; i < meshCount; i++) {
    //    drawFile(
    //        Assets::getAssetNameById(AssetType::Mesh, dir, i),
    //        "MESH",
    //        any(Assets::getAssetTypePathById(AssetType::Mesh, dir, i)), 
    //        Assets::getAssetTypePathById(AssetType::Mesh, dir, i));
    //}
        
    return return_dir;
}
